# Options de contexte Zip

Options de contexte Zip — Zip context option listing

### Description

Les options de contexte Zip sont disponibles pour les enveloppes (wrapper) `zip`.

### Options

`password`

  Utilisé pour spécifier un mot de passe à utiliser pour les archives chiffrées.

### Historique

Version | Description
--- | ---
7.2.0, PECL zip 1.14.0 | Ajout du paramètre `password`.

### Exemples

Exemple #1 Exemple avec une utilisation simple du paramètre `password`

`<?php
// Lire l'archive chiffrée
$opts = array(
'zip' => array(
'password' => 'secret',
),
);
// créer le contexte...
$context = stream_context_create($opts);
// ...et l'utiliser pour récupérer les données
echo file_get_contents('zip://test.zip#test.txt', false, $context);
?>`